---
layout: index
title: object element
---

    <object name="name">attributes</object>

Creates an object.

Objects can contain nested object definitions. In that case, all sub-objects are children of the parent object. This is how rooms work - rooms are just objects which contain other objects.

Object attributes handled by Core.aslx:

-   [alt](../attributes/alt.html)
-   [alias](../attributes/alias.html)
-   [article](../attributes/article.html)
-   [ask](../attributes/ask.html)
-   [askdefault](../attributes/askdefault.html)
-   [autoopen](../attributes/autoopen.html)
-   [autounlock](../attributes/autounlock.html)
-   [beforefirstenter](../attributes/beforefirstenter.html)
-   [canlockopen](../attributes/canlockopen.html)
-   [close](../attributes/close.html)
-   [closescript](../attributes/closescript.html)
-   [containerfullmessage](../attributes/containerfullmessage.html)
-   [contentsprefix](../attributes/contentsprefix.html)
-   [dark](../attributes/dark.html)
-   [darklevel](../attributes/darklevel.html)
-   [descprefix](../attributes/descprefix.html)
-   [description](../attributes/description.html)
-   [displayverbs](../attributes/displayverbs.html)
-   [drop](../attributes/drop.html)
-   [dropmsg](../attributes/dropmsg.html)
-   [enter](../attributes/enter.html)
-   [exitslistprefix](../attributes/exitslistprefix.html)
-   [firstenter](../attributes/firstenter.html)
-   [gender](../attributes/gender.html)
-   [give](../attributes/give.html)
-   [giveanything](../attributes/giveanything.html)
-   [givesingle](../attributes/givesingle.html)
-   [giveto](../attributes/giveto.html)
-   [givetoanything](../attributes/givetoanything.html)
-   [grid\_border](../attributes/grid_border.html)
-   [grid\_bordersides](../attributes/grid_bordersides.html)
-   [grid\_borderwidth](../attributes/grid_borderwidth.html)
-   [grid\_fill](../attributes/grid_fill.html)
-   [grid\_label](../attributes/grid_label.html)
-   [grid\_length](../attributes/grid_length.html)
-   [grid\_parent\_offset\_auto](../attributes/grid_parent_offset_auto.html)
-   [grid\_parent\_offset\_x](../attributes/grid_parent_offset_x.html)
-   [grid\_parent\_offset\_y](../attributes/grid_parent_offset_y.html)
-   [grid\_render](../attributes/grid_render.html)
-   [grid\_width](../attributes/grid_width.html)
-   [hidechildren](../attributes/hidechildren.html)
-   [inventoryverbs](../attributes/inventoryverbs.html)
-   [isopen](../attributes/isopen.html)
-   [key](../attributes/key.html)
-   [lightstrength](../attributes/lightstrength.html)
-   [locked](../attributes/locked.html)
-   [lockmessage](../attributes/lockmessage.html)
-   [listchildren](../attributes/listchildren.html)
-   [listchildrenprefix](../attributes/listchildrenprefix.html)
-   [look](../attributes/look.html)
-   [maxobjects](../attributes/maxobjects.html)
-   [nokeymessage](../attributes/nokeymessage.html)
-   [objectslistprefix](../attributes/objectslistprefix.html)
-   [onclose](../attributes/onclose.html)
-   [ondrop](../attributes/ondrop.html)
-   [onlock](../attributes/onlock.html)
-   [onopen](../attributes/onopen.html)
-   [onswitchoff](../attributes/onswitchoff.html)
-   [onswitchon](../attributes/onswitchon.html)
-   [ontake](../attributes/ontake.html)
-   [onunlock](../attributes/onunlock.html)
-   [open](../attributes/open.html)
-   [openscript](../attributes/openscript.html)
-   [parent](../attributes/parent.html)
-   [picture](../attributes/picture_attribute.html)
-   [pov\_alias](../attributes/pov_alias.html)
-   [pov\_alt](../attributes/pov_alt.html)
-   [pov\_article](../attributes/pov_article.html)
-   [pov\_gender](../attributes/pov_gender.html)
-   [pov\_look](../attributes/pov_look.html)
-   [prefix](../attributes/prefix.html)
-   [scenery](../attributes/scenery.html)
-   [selfuseanything](../attributes/selfuseanything.html)
-   [selfuseon](../attributes/selfuseon.html)
-   [statusattributes](../attributes/statusattributes.html)
-   [suffix](../attributes/suffix.html)
-   [switchedoffdesc](../attributes/switchedoffdesc.html)
-   [switchedon](../attributes/switchedon.html)
-   [switchedondesc](../attributes/switchedondesc.html)
-   [switchoffmsg](../attributes/switchoffmsg.html)
-   [switchonmsg](../attributes/switchonmsg.html)
-   [take](../attributes/take.html)
-   [takemsg](../attributes/takemsg.html)
-   [transparent](../attributes/transparent.html)
-   [tell](../attributes/tell.html)
-   [telldefault](../attributes/telldefault.html)
-   [unlockmessage](../attributes/unlockmessage.html)
-   [use](../attributes/use.html)
-   [useanything](../attributes/useanything.html)
-   [usedefaultprefix](../attributes/usedefaultprefix.html)
-   [useon](../attributes/useon.html)
-   [visible](../attributes/visible.html)
-   [visited](../attributes/visited.html)
-   [volume](../attributes/volume.html)

Object types defined by Core.aslx:

-   [container](../attributes/container.html)
-   [container\_base](../attributes/container_base.html)
-   [container\_closed](../attributes/container_closed.html)
-   [container\_limited](../attributes/container_limited.html)
-   [container\_lockable](../attributes/container_lockable.html)
-   [container\_open](../attributes/container_open.html)
-   [defaultobject](../attributes/defaultobject.html)
-   [edible](../attributes/edible.html)
-   [editor\_object](../attributes/editor_object.html)
-   [editor\_room](../attributes/editor_room.html)
-   [female](../attributes/female.html)
-   [femaleplural](../attributes/femaleplural.html)
-   [male](../attributes/male.html)
-   [maleplural](../attributes/maleplural.html)
-   [namedfemale](../attributes/namedfemale.html)
-   [namedmale](../attributes/namedmale.html)
-   [openable](../attributes/openable.html)
-   [plural](../attributes/plural.html)
-   [surface](../attributes/surface.html)
-   [switchable](../attributes/switchable.html)

