---
layout: index
title: Tutorial Introduction
---

Introduction
------------

Quest is a program for writing text adventure games and gamebooks (both of which are sometimes referred to as [Interactive Fiction](http://en.wikipedia.org/wiki/Interactive_fiction)).

There are two versions:

-   a [web version](http://textadventures.co.uk/create/) which runs entirely in your web browser (Chrome, FireFox, Internet Explorer, Safari), without downloading any software.
-   a [Windows version](http://textadventures.co.uk/quest/desktop), downloadable for Windows 7, 8, 10 and Vista.

This tutorial applies to both versions. The versions are fundamentally the same, although the Windows version of the game editor has a few more features.

What is a text adventure?
-------------------------

Text adventure games were the earliest type of computer game, from a time when computers could only display text - there were no graphics, so everything was described with text. You would play the game by typing commands with the keyboard such as "go north" or "hit troll". Quest lets you make this kind of game - you can include graphics now though, and play the game by clicking hyperlinks instead of having to type everything.

Why create text adventures
--------------------------

Here are some reasons why interactive text games are great:

_Interactive text games are easy to create_
You don't need to have a team of people creating graphics, music and sound effects. You don't even need any programming experience. If you've never created a game before, a text game is the easiest and quickest way to start. This doesn't mean that it's trivial - creating a good game, like creating a good novel, takes a lot of effort - but you don't need to have any special tools or expertise to start.

_Interactive text games are accessible_
You don't need fast reactions to play a text-based game. In fact, you don't even need to be able to see - text-based games are one of the few types of games that the visually impaired can enjoy, using a screen reader to speak the text aloud. You don't need to have a particular type of computer - you can play a text game using nothing more than a web browser. All of this means that a text game can be played by just about anybody.

Using Quest, you can play and create text-based games, which can include pictures, sounds and video. To play some games which people have created already, see [textadventures.co.uk](http://textadventures.co.uk/).

If you have some time to spare, it's well worth watching the documentary [Get Lamp](http://www.getlamp.com/) (also on [YouTube](http://www.youtube.com/watch?v=LRhbcDzbGSU)) - it's a brilliant telling of the history of text adventure games.

You can find another great introduction for beginners at [Brass Lantern](http://www.brasslantern.org/beginners/).

Programming without Programming
-------------------------------

Quest is a powerful system with a gentle learning curve - you can get started very easily without doing any programming at all, and build up from there. The point and click editor means there's no need to remember syntax, type in strange punctuation or even remember commands. But there is a lot of power underneath - a full programming language in fact. You never need to see any code to access the full power of Quest, but it includes a "Code View" feature so it's there if you need it.

Let's Begin
-----------

[Next: Creating a simple game](creating_a_simple_game.html)
